std::chrono::year::operatorint(3)

NAME
std::chrono::year::operatorint - std::chrono::year::operatorint

Synopsis
   explicit constexpr operator int() const noexcept; (since C++20)
   Returns the year value stored in *this.

Return value
   The year value stored in *this.

Example
// Run this code
 #include <iostream>
 #include <chrono>
 using namespace std::chrono;
 int main()
 {
     constexpr std::chrono::year y {2020};
     std::cout << "The year is: " << int(y) << '\n';
     const year_month_day ymd{floor<days>(system_clock::now())};
     const std::chrono::year this_year{ymd.year()};
     std::cout << "This year is: " << int(this_year) << '\n';
 }